This repository contains scripts used to convert structured datasets (e.g., spreadsheets, relational data, XML) from source data to LINCS compliant RDF. While datasets are still in their conversion phase, we continue to update and re-run the conversion steps here and then replace the version of the data in the LINCS triplestore. When a given dataset leaves draft form, we stop editing the data here and begin editing it directly in ResearchSpace. For details about our conversion workflows, see our [conversion workflow documentation](https://portal.lincsproject.ca/docs/create-data/publish-data/).

When new source data becomes available, as long as it follows the same structure as the original source data, then it can be converted following the steps stored here.

Final converted data is stored in [Datasets/](https://gitlab.com/calincs/conversion/metadata-conversion/-/tree/master/Datasets), while conversion scripts and in-progress data is stored in each project's respective folder.

[Ontologies/](https://gitlab.com/calincs/conversion/metadata-conversion/-/tree/master/Ontologies) contains ontology files for us in 3M, ResearchSpace, and the user-facing triplestore. Note that the LINCS 3M instance comes pre-loaded with the ontology files needed for most LINCS datasets.

The [X3ML/](https://gitlab.com/calincs/conversion/metadata-conversion/-/tree/master/X3ML) folder contains scripts to apply X3ML mappings on source XML files in bulk, rather than needing to use the user interface. For details on using X3ML to convert your data and how to use existing mapping files, see our [X3ML documentation](https://portal.lincsproject.ca/docs/tools/x3ml/).